INTERFACE
SUBROUTINE SAVHESS(KTBMIN,YD_PDIAG,YDYBAR,YDSBAR,KMUPD,&
 & KILM,KKLM,PSIZE) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE CONTROL_VECTORS_COMM_MOD
USE CONTROL_VECTORS
INTEGER(KIND=JPIM),INTENT(IN) :: KMUPD
INTEGER(KIND=JPIM),INTENT(IN) :: KKLM
INTEGER(KIND=JPIM),INTENT(IN) :: KTBMIN(5)
TYPE(CONTROL_VECTOR),INTENT(IN) :: YD_PDIAG
TYPE(CONTROL_VECTOR),INTENT(IN) :: YDYBAR(KMUPD)
TYPE(CONTROL_VECTOR),INTENT(IN) :: YDSBAR(KMUPD)
INTEGER(KIND=JPIM),INTENT(IN) :: KILM(KKLM)
REAL(KIND=JPRB) ,INTENT(IN) :: PSIZE
END SUBROUTINE SAVHESS
END INTERFACE
